MaillyDocs

Approve CLI authorization from the web app

POST
/cli/auth/approve

Requires a Better Auth session cookie (not an API key).

Request Body

application/json
  1. body
deviceToken*string

32-128 character hexadecimal token generated by the CLI

[key: string]?unknown

Response Body

Approved

application/json
  1. response
success*boolean
email*string
[key: string]?unknown
curl -X POST 'https://api.mailly.site/cli/auth/approve' \  -H 'Content-Type: application/json' \  -d '{  "deviceToken": "string",  "property1": null,  "property2": null}'
{  "success": true,  "email": "string",  "property1": null,  "property2": null}